
QGIS Application - Bug report #14583

Data directory pollution with 0 or 1 files without extension

2016-03-29 06:18 AM - Alain FERRATON

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22554

Description

QGIS created 0 and 1 files without extension in QGIS / bin (what purpose?).

If we start QGIS from a QGS file or other extension associated with QGIS. These files are created in the launch directory ( data directories

are polluted)

Related issues:

Related to QGIS Application - Bug report # 14517: QGIS 2.14 Processing filter... Closed 2016-03-17

History

#1 - 2016-03-29 06:38 AM - Maximilian Krambach

related to #14517 . The Geoprocessing Toolbox tries to run algorithms with the settings "1" or "0" each time the search of the toolbox is used, resulting in a

null byte output.

#2 - 2016-03-29 07:30 AM - Alain FERRATON

May be, but it's not necessarily linked .

not the same directory as # 14517

#3 - 2016-03-29 10:25 AM - Maximilian Krambach

The issue in #14517 leaves the "1" file in whatever directory QGIS is started from, whenever the toolbox is used (In the other bug thread I just started qgis

from a strange location, but I checked for the offending files and they're in every directory recently used with qgis)

Could you delete the file while QGIS is running, use the toolbox (just typing a letter in the search) and check if it reappears? If so, it's probably the same

bug, which seems to be fixed for the next version.

#4 - 2016-03-29 11:23 PM - Alain FERRATON

You are right.

the file will appear when you type a letter in the search, but also leaving qgis without using the Toolbox.

#5 - 2016-04-09 08:57 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented
The issue seems have been fixed in master, please reopen if necessary.

#6 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
